> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe a user

> Unsubscribes a user from all or selected subscriptions.



## OpenAPI

````yaml /api-reference/mitigation-api/paysight_mitigation_api.yaml post /api/mitigation/unsubscribe
openapi: 3.0.0
info:
  title: Paysight Mitigation API
  version: 1.0.0
  description: >-
    API for handling mitigation-related customer service operations such as
    search and refund
servers:
  - url: https://test.paysight.io
    description: Test Server
security:
  - ApiKeyAuth: []
paths:
  /api/mitigation/unsubscribe:
    post:
      tags:
        - API for Chargeback Mitigation Providers
      summary: Unsubscribe a user
      description: Unsubscribes a user from all or selected subscriptions.
      parameters:
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/UserEmail'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnsubscribeRequest'
      responses:
        '200':
          description: Result of unsubscribe request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  unsubscribes:
                    type: integer
components:
  parameters:
    ClientId:
      name: ClientId
      in: header
      required: true
      description: >-
        Your Paysight Tenant/Client Id. This is the id of the parent company
        listed in https://app.paysight.io/management/companies. Alternatively,
        this will be provided by Paysight
      schema:
        type: string
    UserEmail:
      name: UserEmail
      in: header
      required: true
      description: The email address of the party or group making the request
      schema:
        type: string
  schemas:
    UnsubscribeRequest:
      type: object
      required:
        - email
      description: Request body to unsubscribe a customer
      properties:
        email:
          type: string
          description: Email of the customer to unsubscribe
          example: joe@blogs.com
        orderIds:
          type: array
          description: Optional list of order IDs to match against
          items:
            type: integer
        subscriberIds:
          type: array
          description: Optional list of subscriber IDs to directly target
          items:
            type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your Paysight API key

````